Loading...
Searching...
No Matches
flintconv.h File Reference

This file is work in progress and currently not part of the official Singular. More...

`#include "polys/matpol.h"`
`#include "coeffs/bigintmat.h"`
`#include <flint/flint.h>`
`#include <flint/fmpz.h>`
`#include <flint/fmpq.h>`
`#include <flint/fmpq_mat.h>`
`#include <flint/fmpz_poly.h>`
`#include <flint/fmpq_poly.h>`
`#include <flint/fmpz_poly_mat.h>`

Go to the source code of this file.

## Functions

int | convFlintISingI (fmpz_t f)
void | convSingIFlintI (fmpz_t f, int p)
void | convFlintNSingN (mpz_t z, fmpz_t f)
void | convSingNFlintN (fmpz_t f, mpz_t z)
void | convSingNFlintN (fmpz_t f, number n)
void | convSingNFlintN_QQ (fmpq_t f, number n)
void | convSingNFlintN (fmpq_t f, number n, const coeffs cf)
void | convSingNFlintNN (fmpq_t re, fmpq_t im, number n, const coeffs cf)
number | convFlintNSingN (fmpz_t f)
number | convFlintNSingN (fmpq_t f, const coeffs cf)
number | convFlintNSingN (fmpz_t f, const coeffs cf)
number | convFlintNSingN_QQ (fmpq_t f, const coeffs cf)
void | convSingPFlintP (fmpq_poly_t res, poly p, const ring r)
void | convSingImPFlintP (fmpq_poly_t res, poly p, const ring r)
poly | convFlintPSingP (fmpq_poly_t f, const ring r)
bigintmat * | singflint_LLL (bigintmat *A, bigintmat *T)
intvec * | singflint_LLL (intvec *A, intvec *T)
void | convSingMFlintNmod_mat (matrix m, nmod_mat_t M, const ring r)
matrix | convFlintNmod_matSingM (nmod_mat_t m, const ring r)
matrix | singflint_rref (matrix m, const ring R)
ideal | singflint_rref (ideal m, const ring R)
matrix | singflint_kernel (matrix m, const ring R)
ideal | singflint_kernel (ideal m, const ring R)

## Detailed Description

This file is work in progress and currently not part of the official Singular.

Note
  the code is garded by the version test __FLINT_RELEASE >= 20503 (>=2.5.3) In its current form it will never become an official part. (conversion routines may be moved to other files/directories, etc.)

ABSTRACT: Conversion to/from FLINT, and access to some FLINT-routines

REQUIREMENTS:

- agreement about the interface to LLL
- FLINT providing LLL (none of the above is currently true, but all of them is required)

Definition in file flintconv.h.

## Function Documentation

## convFlintISingI()

int convFlintISingI | ( | fmpz_t | f | ) |

## convFlintNmod_matSingM()

matrix convFlintNmod_matSingM | ( | nmod_mat_t | m,
|  | const ring | r )

## convFlintNSingN() [1/4]

number convFlintNSingN | ( | fmpq_t | f,
|  | const coeffs | cf )

## convFlintNSingN() [2/4]

number convFlintNSingN | ( | fmpz_t | f | ) |

## convFlintNSingN() [3/4]

number convFlintNSingN | ( | fmpz_t | f,
|  | const coeffs | cf )

## convFlintNSingN() [4/4]

void convFlintNSingN | ( | mpz_t | z,
|  | fmpz_t | f )

## convFlintNSingN_QQ()

number convFlintNSingN_QQ | ( | fmpq_t | f,
|  | const coeffs | cf )

## convFlintPSingP()

poly convFlintPSingP | ( | fmpq_poly_t | f,
|  | const ring | r )

## convSingIFlintI()

void convSingIFlintI | ( | fmpz_t | f,
|  | int | p )

## convSingImPFlintP()

void convSingImPFlintP | ( | fmpq_poly_t | res,
|  | poly | p,
|  | const ring | r )

## convSingMFlintNmod_mat()

void convSingMFlintNmod_mat | ( | matrix | m,
|  | nmod_mat_t | M,
|  | const ring | r )

## convSingNFlintN() [1/3]

void convSingNFlintN | ( | fmpq_t | f,
|  | number | n,
|  | const coeffs | cf )

## convSingNFlintN() [2/3]

void convSingNFlintN | ( | fmpz_t | f,
|  | mpz_t | z )

## convSingNFlintN() [3/3]

void convSingNFlintN | ( | fmpz_t | f,
|  | number | n )

## convSingNFlintN_QQ()

void convSingNFlintN_QQ | ( | fmpq_t | f,
|  | number | n )

## convSingNFlintNN()

void convSingNFlintNN | ( | fmpq_t | re,
|  | fmpq_t | im,
|  | number | n,
|  | const coeffs | cf )

## convSingPFlintP()

void convSingPFlintP | ( | fmpq_poly_t | res,
|  | poly | p,
|  | const ring | r )

## singflint_kernel() [1/2]

ideal singflint_kernel | ( | ideal | m,
|  | const ring | R )

## singflint_kernel() [2/2]

matrix singflint_kernel | ( | matrix | m,
|  | const ring | R )

## singflint_LLL() [1/2]

bigintmat * singflint_LLL | ( | bigintmat * | A,
|  | bigintmat * | T )

## singflint_LLL() [2/2]

intvec * singflint_LLL | ( | intvec * | A,
|  | intvec * | T )

## singflint_rref() [1/2]

ideal singflint_rref | ( | ideal | m,
|  | const ring | R )

## singflint_rref() [2/2]

matrix singflint_rref | ( | matrix | m,
|  | const ring | R )